#ifndef FONTS_H
    #define FONTS_H

#include "config.h"

typedef const struct
{
	const uint8_t		width;
	const uint16_t	offsetLSB;
	const uint8_t		offsetMSB;
} GUI_CHARINFO;


/**************************************************************
*
*      
*
**************************************************************/

#define		________		0x0
#define		X_______		0x1
#define		_X______		0x2
#define		XX______		0x3
#define		__X_____		0x4
#define		X_X_____		0x5
#define		_XX_____		0x6
#define		XXX_____		0x7
#define		___X____		0x8
#define		X__X____		0x9
#define		_X_X____		0xa
#define		XX_X____		0xb
#define		__XX____		0xc
#define		X_XX____		0xd
#define		_XXX____		0xe
#define		XXXX____		0xf
#define		____X___		0x10
#define		X___X___		0x11
#define		_X__X___		0x12
#define		XX__X___		0x13
#define		__X_X___		0x14
#define		X_X_X___		0x15
#define		_XX_X___		0x16
#define		XXX_X___		0x17
#define		___XX___		0x18
#define		X__XX___		0x19
#define		_X_XX___		0x1a
#define		XX_XX___		0x1b
#define		__XXX___		0x1c
#define		X_XXX___		0x1d
#define		_XXXX___		0x1e
#define		XXXXX___		0x1f
#define		_____X__		0x20
#define		X____X__		0x21
#define		_X___X__		0x22
#define		XX___X__		0x23
#define		__X__X__		0x24
#define		X_X__X__		0x25
#define		_XX__X__		0x26
#define		XXX__X__		0x27
#define		___X_X__		0x28
#define		X__X_X__		0x29
#define		_X_X_X__		0x2a
#define		XX_X_X__		0x2b
#define		__XX_X__		0x2c
#define		X_XX_X__		0x2d
#define		_XXX_X__		0x2e
#define		XXXX_X__		0x2f
#define		____XX__		0x30
#define		X___XX__		0x31
#define		_X__XX__		0x32
#define		XX__XX__		0x33
#define		__X_XX__		0x34
#define		X_X_XX__		0x35
#define		_XX_XX__		0x36
#define		XXX_XX__		0x37
#define		___XXX__		0x38
#define		X__XXX__		0x39
#define		_X_XXX__		0x3a
#define		XX_XXX__		0x3b
#define		__XXXX__		0x3c
#define		X_XXXX__		0x3d
#define		_XXXXX__		0x3e
#define		XXXXXX__		0x3f
#define		______X_		0x40
#define		X_____X_		0x41
#define		_X____X_		0x42
#define		XX____X_		0x43
#define		__X___X_		0x44
#define		X_X___X_		0x45
#define		_XX___X_		0x46
#define		XXX___X_		0x47
#define		___X__X_		0x48
#define		X__X__X_		0x49
#define		_X_X__X_		0x4a
#define		XX_X__X_		0x4b
#define		__XX__X_		0x4c
#define		X_XX__X_		0x4d
#define		_XXX__X_		0x4e
#define		XXXX__X_		0x4f
#define		____X_X_		0x50
#define		X___X_X_		0x51
#define		_X__X_X_		0x52
#define		XX__X_X_		0x53
#define		__X_X_X_		0x54
#define		X_X_X_X_		0x55
#define		_XX_X_X_		0x56
#define		XXX_X_X_		0x57
#define		___XX_X_		0x58
#define		X__XX_X_		0x59
#define		_X_XX_X_		0x5a
#define		XX_XX_X_		0x5b
#define		__XXX_X_		0x5c
#define		X_XXX_X_		0x5d
#define		_XXXX_X_		0x5e
#define		XXXXX_X_		0x5f
#define		_____XX_		0x60
#define		X____XX_		0x61
#define		_X___XX_		0x62
#define		XX___XX_		0x63
#define		__X__XX_		0x64
#define		X_X__XX_		0x65
#define		_XX__XX_		0x66
#define		XXX__XX_		0x67
#define		___X_XX_		0x68
#define		X__X_XX_		0x69
#define		_X_X_XX_		0x6a
#define		XX_X_XX_		0x6b
#define		__XX_XX_		0x6c
#define		X_XX_XX_		0x6d
#define		_XXX_XX_		0x6e
#define		XXXX_XX_		0x6f
#define		____XXX_		0x70
#define		X___XXX_		0x71
#define		_X__XXX_		0x72
#define		XX__XXX_		0x73
#define		__X_XXX_		0x74
#define		X_X_XXX_		0x75
#define		_XX_XXX_		0x76
#define		XXX_XXX_		0x77
#define		___XXXX_		0x78
#define		X__XXXX_		0x79
#define		_X_XXXX_		0x7a
#define		XX_XXXX_		0x7b
#define		__XXXXX_		0x7c
#define		X_XXXXX_		0x7d
#define		_XXXXXX_		0x7e
#define		XXXXXXX_		0x7f
#define		_______X		0x80
#define		X______X		0x81
#define		_X_____X		0x82
#define		XX_____X		0x83
#define		__X____X		0x84
#define		X_X____X		0x85
#define		_XX____X		0x86
#define		XXX____X		0x87
#define		___X___X		0x88
#define		X__X___X		0x89
#define		_X_X___X		0x8a
#define		XX_X___X		0x8b
#define		__XX___X		0x8c
#define		X_XX___X		0x8d
#define		_XXX___X		0x8e
#define		XXXX___X		0x8f
#define		____X__X		0x90
#define		X___X__X		0x91
#define		_X__X__X		0x92
#define		XX__X__X		0x93
#define		__X_X__X		0x94
#define		X_X_X__X		0x95
#define		_XX_X__X		0x96
#define		XXX_X__X		0x97
#define		___XX__X		0x98
#define		X__XX__X		0x99
#define		_X_XX__X		0x9a
#define		XX_XX__X		0x9b
#define		__XXX__X		0x9c
#define		X_XXX__X		0x9d
#define		_XXXX__X		0x9e
#define		XXXXX__X		0x9f
#define		_____X_X		0xa0
#define		X____X_X		0xa1
#define		_X___X_X		0xa2
#define		XX___X_X		0xa3
#define		__X__X_X		0xa4
#define		X_X__X_X		0xa5
#define		_XX__X_X		0xa6
#define		XXX__X_X		0xa7
#define		___X_X_X		0xa8
#define		X__X_X_X		0xa9
#define		_X_X_X_X		0xaa
#define		XX_X_X_X		0xab
#define		__XX_X_X		0xac
#define		X_XX_X_X		0xad
#define		_XXX_X_X		0xae
#define		XXXX_X_X		0xaf
#define		____XX_X		0xb0
#define		X___XX_X		0xb1
#define		_X__XX_X		0xb2
#define		XX__XX_X		0xb3
#define		__X_XX_X		0xb4
#define		X_X_XX_X		0xb5
#define		_XX_XX_X		0xb6
#define		XXX_XX_X		0xb7
#define		___XXX_X		0xb8
#define		X__XXX_X		0xb9
#define		_X_XXX_X		0xba
#define		XX_XXX_X		0xbb
#define		__XXXX_X		0xbc
#define		X_XXXX_X		0xbd
#define		_XXXXX_X		0xbe
#define		XXXXXX_X		0xbf
#define		______XX		0xc0
#define		X_____XX		0xc1
#define		_X____XX		0xc2
#define		XX____XX		0xc3
#define		__X___XX		0xc4
#define		X_X___XX		0xc5
#define		_XX___XX		0xc6
#define		XXX___XX		0xc7
#define		___X__XX		0xc8
#define		X__X__XX		0xc9
#define		_X_X__XX		0xca
#define		XX_X__XX		0xcb
#define		__XX__XX		0xcc
#define		X_XX__XX		0xcd
#define		_XXX__XX		0xce
#define		XXXX__XX		0xcf
#define		____X_XX		0xd0
#define		X___X_XX		0xd1
#define		_X__X_XX		0xd2
#define		XX__X_XX		0xd3
#define		__X_X_XX		0xd4
#define		X_X_X_XX		0xd5
#define		_XX_X_XX		0xd6
#define		XXX_X_XX		0xd7
#define		___XX_XX		0xd8
#define		X__XX_XX		0xd9
#define		_X_XX_XX		0xda
#define		XX_XX_XX		0xdb
#define		__XXX_XX		0xdc
#define		X_XXX_XX		0xdd
#define		_XXXX_XX		0xde
#define		XXXXX_XX		0xdf
#define		_____XXX		0xe0
#define		X____XXX		0xe1
#define		_X___XXX		0xe2
#define		XX___XXX		0xe3
#define		__X__XXX		0xe4
#define		X_X__XXX		0xe5
#define		_XX__XXX		0xe6
#define		XXX__XXX		0xe7
#define		___X_XXX		0xe8
#define		X__X_XXX		0xe9
#define		_X_X_XXX		0xea
#define		XX_X_XXX		0xeb
#define		__XX_XXX		0xec
#define		X_XX_XXX		0xed
#define		_XXX_XXX		0xee
#define		XXXX_XXX		0xef
#define		____XXXX		0xf0
#define		X___XXXX		0xf1
#define		_X__XXXX		0xf2
#define		XX__XXXX		0xf3
#define		__X_XXXX		0xf4
#define		X_X_XXXX		0xf5
#define		_XX_XXXX		0xf6
#define		XXX_XXXX		0xf7
#define		___XXXXX		0xf8
#define		X__XXXXX		0xf9
#define		_X_XXXXX		0xfa
#define		XX_XXXXX		0xfb
#define		__XXXXXX		0xfc
#define		X_XXXXXX		0xfd
#define		_XXXXXXX		0xfe
#define		XXXXXXXX		0xff

#endif // FONTS_H

